Activity log for bug #1597296

Date Who What changed Old value New value Message
2016-06-29 11:32:54 sunyajing bug added bug
2016-06-29 11:33:00 sunyajing python-openstackclient: assignee sunyajing (yajing-sun)
2016-06-29 11:33:32 sunyajing description If several services have the same names like this: +----------------------------------+-------------+----------------+ | ID | Name | Type | +----------------------------------+-------------+----------------+ | 148f5e8cc6154fac92f6031e8040aee0 | ceilometer | metering | | 186fd71836d745de8c84f959d34639af | glance | image | | 18a0e59768994839840af7ed12592274 | nova | syj | | 42c41632597d4d3fa2ad042b5ed0e81a | nova | compute | | 455680b30d3f4af4a63bb9722828bc30 | cinder | volume | | 67c7ada5f4c24c2f94e6368ac9ae1100 | None | syj | | 79d150b92f4b4f7dba64ec419f916119 | neutron | syj | | 7dc9bd2115234ae9bac0ad430b900cca | nova_legacy | compute_legacy | | 8df25ac9adcd478488cb4ee004e57737 | keystone | identity | | 98bcf89fbcbf44b9a155a0fec38f6c42 | cinderv2 | volumev2 | | ed7d55b2d415417e9d13e65035dd6694 | neutron | network | | f94c3860ebb747899f6e002ce766ca87 | cinderv3 | volumev3 | +----------------------------------+-------------+----------------+ ``service show nova`` raises a wrong exception: No service with a type, name or ID of 'syj' exists. Actually, it should be: Multiple service matches found for 'syj', use an ID to be more specific. If several services have the same names like this: +----------------------------------+-------------+----------------+ | ID | Name | Type | +----------------------------------+-------------+----------------+ | 148f5e8cc6154fac92f6031e8040aee0 | ceilometer | metering | | 186fd71836d745de8c84f959d34639af | glance | image | | 18a0e59768994839840af7ed12592274 | nova | syj | | 42c41632597d4d3fa2ad042b5ed0e81a | nova | compute | | 455680b30d3f4af4a63bb9722828bc30 | cinder | volume | | 67c7ada5f4c24c2f94e6368ac9ae1100 | None | syj | | 79d150b92f4b4f7dba64ec419f916119 | neutron | syj | | 7dc9bd2115234ae9bac0ad430b900cca | nova_legacy | compute_legacy | | 8df25ac9adcd478488cb4ee004e57737 | keystone | identity | | 98bcf89fbcbf44b9a155a0fec38f6c42 | cinderv2 | volumev2 | | ed7d55b2d415417e9d13e65035dd6694 | neutron | network | | f94c3860ebb747899f6e002ce766ca87 | cinderv3 | volumev3 | +----------------------------------+-------------+----------------+ ``service show nova`` raises a wrong exception: No service with a type, name or ID of 'nova' exists. Actually, it should be: Multiple service matches found for 'nova', use an ID to be more specific.
2016-06-30 05:44:23 venkatamahesh python-openstackclient: status New Confirmed
2016-06-30 06:31:25 OpenStack Infra python-openstackclient: status Confirmed In Progress
2016-07-27 03:37:56 OpenStack Infra python-openstackclient: status In Progress Fix Released